# Generated from omf_common-6.2.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name omf_common

Name: rubygem-%{gem_name}
Version: 6.2.3
Release: 1%{?dist}
Summary: Common library of OMF
License: MIT
URL: http://omf.mytestbed.net
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.3
# BuildRequires: rubygem(minitest) >= 5.5.1
# BuildRequires: rubygem(minitest) < 5.6
# BuildRequires: rubygem(evented-spec) >= 1.0.0.beta
# BuildRequires: rubygem(evented-spec) < 1.1
# BuildRequires: rubygem(simplecov)
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(mocha)
BuildArch: noarch

%description
Common library of OMF, a generic framework for controlling and managing
networking testbeds.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{_bindir}/file_broadcaster.rb
%{_bindir}/file_receiver.rb
%{_bindir}/omf_cert.rb
%{_bindir}/omf_keygen
%{_bindir}/omf_monitor_topic
%{_bindir}/omf_send_configure
%{_bindir}/omf_send_create
%{_bindir}/omf_send_request
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/bin
%{gem_instdir}/example
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Rakefile
%{gem_instdir}/omf_common.gemspec
%{gem_instdir}/test

%changelog
* Tue Apr 19 2022 mockbuilder - 6.2.3-1
- Initial package
